package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 设备类型
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:44.081
 * @Modify      :
 **/
@Data
@Entity
@Table(name="TOOL_TYPE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="设备类型",description = "设备类型")
public class ToolType extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(value ="名称" , access ="名称")
    private String name;

}
