package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户登陆表
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Entity
@Data
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_METHOD_ROLE")
@Api(value="角色权限表",description = "关联角色和权限。")
public class SysMethodRole extends BaseBean {

    @Column(name="ROLE_ID")
    @ApiParam(value = "角色主键")
    private Long roleId;

    public Long getRoleId() {
        if(roleId != null) {
            return roleId.longValue();
        }else{
            return roleId;
        }
    }

    @Column(name="method_id")
    @ApiParam(value = "功能权限主键")
    private Long methodId;

    public Long getMethodId() {
        if(methodId != null) {
            return methodId.longValue();
        }else{
            return methodId;
        }
    }
}
