package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户登陆表
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Entity
@Data
@EqualsAndHashCode(callSuper = true)
@Table(name="sys_user_role")
@Api(value="用户角色表",description = "关联用户和角色。")
public class SysUserRole extends BaseBean {

    @Column(name="user_id")
    @ApiParam(value = "用户主键")
    private Long userId;

    public Long getUserId() {
        if(userId != null) {
            return userId.longValue();
        }else{
            return userId;
        }
    }

    @Column(name="language_code")
    @ApiParam(value = "角色主键")
    private Long roleId;

    public Long getRoleId() {
        if(roleId != null) {
            return roleId.longValue();
        }else{
            return roleId;
        }
    }
}
