package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 库位物料表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2018-11-07 10:51
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_LOCATE_PART")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Api(value="库位物料表",description = "库位物料表")
public class WmsLocatePart extends BaseBean{

    @Column(name="LOCATE_NO")
    @ApiParam(value ="库位代码")
    private String locateNo;

    @Column(name="PART_NO")
    @ApiParam(value ="物料编码")
    private String partNo;

    @Column(name="PART_NAME")
    @ApiParam(value ="物料名称")
    private String partName;
}
